## kdepim4 4.14.10

=== CMakeLists.txt ===
project(kdepim)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

############### Build Options ###############

option(KDEPIM_BUILD_EXAMPLES "Build the kdepim example applications." FALSE)
option(KDEPIM_BUILD_MOBILE "Build the mobile applications. Note that you have to enable KDEPIM_MOBILE_UI if you want to run these applications on a mobile device." TRUE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will build only libkleo and kleopatra" FALSE)
option(KDEPIM_BUILD_STATIC "Build KDEPIM static." FALSE)
option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
option(KDEPIM_NO_WEBKIT "Do not use WebKit in the kdepim applications" FALSE)

if(KDEPIM_BUILD_STATIC)
  set(LIBRARY_TYPE STATIC)
else()
  set(LIBRARY_TYPE SHARED)
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER)
if(KDEPIM_NO_WEBKIT)
  add_definitions(-DKDEPIM_NO_WEBKIT)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
  message(STATUS "Enterprise build is enabled.")
endif()

# if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
if(KDEPIM_ONLY_KLEO)
 set(KDEPIM_BUILD_MOBILE FALSE)
 set(KDEPIM_MOBILE_UI FALSE)
 set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
 message(STATUS "Only libkleo and Kleopatra will be built.")
endif()

if(KDEPIM_MOBILE_UI)
    # Build the mobile applications
    set(KDEPIM_BUILD_MOBILE TRUE)
endif()

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### generate kdepim-version.h ###############
# Support for the GIT revision number in kdepim-version.h
if(EXISTS "${kdepim_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_revision)
    string(REGEX REPLACE "\n" "" kdepim_git_revision "${kdepim_git_revision}")
    set(kdepim_git_revision "git-${kdepim_git_revision}")

    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_last_change)
    string(REGEX REPLACE " [-0-9:+ ]*\n" "" kdepim_git_last_change "${kdepim_git_last_change}")
  endif()
endif()

# KDEPIM_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, the version is "x.y"
#
# KDEPIM_DEV_VERSION is empty for final versions.
# For development versions "build" is something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
# 3.0, 3.0.1, 3.1 alpha1, 3.1 beta1, 3.1 beta2, 3.1 rc1, 3.1, 3.1.1, 3.2 pre, 3.2 alpha1

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "4.14.10${KDEPIM_DEV_VERSION}")

configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)

set(CMAKE_AUTOMOC ON)

############### search packages used by KDE ###############

find_package(KDE4 4.14.0 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.14.10)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

############### search Boost ###############

find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")

# Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
if(Boost_TOPOLOGICAL_SORT_DIR)
  message(STATUS "The Boost Topological_sort header was found. Building Kleopatra")
else()
  message(STATUS "The Boost Topological_sort header was NOT found. Kleopatra will not be built")
endif()

############### Windows specific ###############

if(WIN32)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
  execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  file(TO_CMAKE_PATH "${_dir}" __dir)
  find_path(KDE4_ICON_DIR oxygen PATHS
    ${__dir}
  )
  message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else()
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif()

############### ONLY_KLEO ###############

# If the KDEPIM_ONLY_KLEO option is true
if(KDEPIM_ONLY_KLEO)
  find_package(QGpgme)
  set_package_properties(QGpgme PROPERTIES DESCRIPTION "The QGpgME library" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "QGpgME is required to build Kleopatra.")

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS})
  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS} ${QT_QTDBUS_INCLUDE_DIR})
  include(kleopatra/ConfigureChecks.cmake)

  add_subdirectory(libkleo)
  if(Boost_TOPOLOGICAL_SORT_DIR)
    add_subdirectory(kleopatra)
  endif()
else()

# Otherwise...
############### Find the stuff we need ###############
  # Akonadi
  find_package(Akonadi 1.12.90 QUIET CONFIG)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Akonadi is required to build KDEPIM")

  find_package(ZLIB)
  set_package_properties(ZLIB PROPERTIES DESCRIPTION "The Zlib compression library" URL "http://www.zlib.net" TYPE REQUIRED)

  find_package(QGpgme)
  set_package_properties(QGpgme PROPERTIES DESCRIPTION "The QGpgMe library" URL "http://www.kde.org" TYPE RECOMMENDED PURPOSE "QGpgME is required to build KMail, KOrganizer and Kleopatra")

  find_package(Grantlee 0.4.0 QUIET CONFIG)
  set_package_properties(Grantlee PROPERTIES DESCRIPTION "The Grantlee Template System" URL "http://www.gitorious.org/grantlee/pages/Home" TYPE REQUIRED PURPOSE "Grantlee is requires for kmail and templating, theming for KJots, KaddressBook, KNotes and MessageViewer(KMail)." )

  find_package(Baloo 4.14.0 QUIET CONFIG)
  set_package_properties(Baloo PROPERTIES DESCRIPTION "The Baloo libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Baloo provides search capabilities in KMail and Akonadi")

  # Xsltproc
  find_package(Xsltproc)
  set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces.")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

  find_package(Prison QUIET CONFIG)
  set_package_properties(Prison PROPERTIES DESCRIPTION "The Prison library" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")

  # Libkgapi2
  find_package(LibKGAPI2 2.2.0 QUIET CONFIG)
  set_package_properties(LibKGAPI2 PROPERTIES DESCRIPTION "KDE-based library for accessing various Google services" URL "https://projects.kde.org/libkgapi" TYPE OPTIONAL PURPOSE "LibKGAPI is required to build Google Drive Storage Service")

  if( LibKGAPI2_FOUND )
    add_definitions( -DKDEPIM_STORAGESERVICE_GDRIVE )
  endif()



############### Desktop vs. Mobile options ##############

  if(KDEPIM_MOBILE_UI)
    add_definitions( -DKDEPIM_MOBILE_UI )
    if(NOT QT_QTDECLARATIVE_FOUND)
      message(FATAL_ERROR "The QtDeclarative (QML) module is required for building the mobile UI")
    endif()
  else()
    if(NOT QT_QTDECLARATIVE_FOUND)
      message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
      set(KDEPIM_BUILD_MOBILE FALSE)
    endif()
  endif()

############### Needed commands before building anything ###############

  add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})

  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})

  if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
    add_definitions( -DKDEPIM_NO_KRESOURCES )
  endif()


############### Now, we add the PIM components ###############

  include (kleopatra/ConfigureChecks.cmake)

  # These targets will always be built before anything else.

  add_subdirectory(noteshared)
  add_subdirectory(akonadi_next)
  add_subdirectory(libkdepim)
  add_subdirectory(calendarsupport)
  add_subdirectory(calendarviews)
  add_subdirectory(incidenceeditor-ng)
  add_subdirectory(libkdepimdbusinterfaces)
  add_subdirectory(libkleo)
  add_subdirectory(libkpgp)
  add_subdirectory(libksieve)
  add_subdirectory(kdgantt2)
  add_subdirectory(icons)
  add_subdirectory(composereditor-ng)
  add_subdirectory(messagecore)
  add_subdirectory(grantleetheme)
  add_subdirectory(messagelist)
  add_subdirectory(templateparser)

  if(QGPGME_FOUND)
    if(Boost_TOPOLOGICAL_SORT_DIR)
      macro_optional_add_subdirectory(kleopatra)
    endif()
  endif()

  # The following components depend on QGpgME.
  add_subdirectory(messageviewer)
  macro_optional_add_subdirectory(messagecomposer)
  add_subdirectory(pimcommon)
  add_subdirectory(mailcommon) # TODO: does this make sense?!?
  macro_optional_add_subdirectory(kmail)
  macro_optional_add_subdirectory(grantleeeditor)
  if(KDEPIM_BUILD_MOBILE)
    add_subdirectory(mobile)
  endif()

  if(KDEPIM_BUILD_EXAMPLES)
    add_subdirectory(examples)
  endif()

  # If kmail is compiled, KMAIL_SUPPORTED is true (used in several places)
  if(BUILD_kmail)
    set(KMAIL_SUPPORTED TRUE)
    add_definitions(-DKMAIL_SUPPORTED)
  endif()

  macro_optional_add_subdirectory(korganizer)
  macro_optional_add_subdirectory(korgac)
  macro_optional_add_subdirectory(sieveeditor)
  macro_optional_add_subdirectory(storageservicemanager)
  add_subdirectory(kaddressbookgrantlee)
  if(KDEPIM_BUILD_DESKTOP)
    macro_optional_add_subdirectory(agents)
    macro_optional_add_subdirectory(akregator)
    macro_optional_add_subdirectory(importwizard)
    macro_optional_add_subdirectory(kaddressbook)
    macro_optional_add_subdirectory(kmailcvt)
    macro_optional_add_subdirectory(mboximporter)
    macro_optional_add_subdirectory(knotes)
    macro_optional_add_subdirectory(ksendemail)
    macro_optional_add_subdirectory(ktnef)
    macro_optional_add_subdirectory(mailimporter)

=== agents/CMakeLists.txt ===
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

add_subdirectory(sendlateragent)
add_subdirectory(archivemailagent)
add_subdirectory(mailfilteragent)
add_subdirectory(notesagent)
add_subdirectory(followupreminderagent)
install(FILES folderarchiveagent.desktop DESTINATION "${SHARE_INSTALL_PREFIX}/akonadi/agents")

=== akonadi_next/CMakeLists.txt ===
project(akonadi_next)

if(CMAKE_SOURCE_DIR STREQUAL "${akonadi_next_SOURCE_DIR}")
  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  find_package(Akonadi REQUIRED)
  find_package(KdepimLibs REQUIRED)
endif()

include_directories(
  ${AKONADI_INCLUDE_DIR}
  ${KDE4_INCLUDES}
  ${KDEPIMLIBS_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${Boost_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(akonadi_next_SRCS
  notecreatorandselector.cpp
  quotacolorproxymodel.cpp
  kcolumnfilterproxymodel.cpp
)

kde4_add_library(akonadi_next ${LIBRARY_TYPE} ${akonadi_next_SRCS})

target_link_libraries(akonadi_next
  ${AKONADI_COMMON_LIBRARIES}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_NOTES_LIBS} 
)

set_target_properties(akonadi_next PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi_next ${INSTALL_TARGETS_DEFAULT_ARGS})

=== calendarsupport/CMakeLists.txt ===
kde4_no_enable_final(calendarsupport)

include_directories(
  ${QT_QTDBUS_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/mailcommon
  ${CMAKE_SOURCE_DIR}/pimcommon
)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(calendarsupport_LIB_SRCS
  archivedialog.cpp
  attachmenthandler.cpp
  calendarsingleton.cpp
  calendarutils.cpp
  categoryconfig.cpp
  categoryhierarchyreader.cpp
  cellitem.cpp
  collectionselection.cpp
  eventarchiver.cpp
  identitymanager.cpp
  incidenceattachmentmodel.cpp
  kcalmodel.cpp
  kcalprefs.cpp
  messagewidget.cpp
  utils.cpp

  printing/calprintpluginbase.cpp
  printing/calprintdefaultplugins.cpp
  printing/calprinter.cpp
  printing/journalprint.cpp
  printing/yearprint.cpp

  next/incidenceviewer.cpp
)

kde4_add_ui_files(calendarsupport_LIB_SRCS
  printing/calprintdayconfig_base.ui
  printing/calprintincidenceconfig_base.ui
  printing/calprintjournalconfig_base.ui
  printing/calprintmonthconfig_base.ui
  printing/calprinttodoconfig_base.ui
  printing/calprintweekconfig_base.ui
  printing/calprintyearconfig_base.ui
)

kde4_add_kcfg_files(calendarsupport_LIB_SRCS kcalprefs_base.kcfgc)

# qt4_add_dbus_interface(calendarsupport_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Akonadi.CalendarSearchAgent.xml calendarsearchinterface)

kde4_add_library(calendarsupport ${LIBRARY_TYPE} ${calendarsupport_LIB_SRCS})

target_link_libraries(
  calendarsupport
  kdepimdbusinterfaces
  kdepim
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KCALCORE_LIBS}
  ${KDEPIMLIBS_KCALUTILS_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_KHOLIDAYS_LIBS}
  ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KUTILS_LIBS}
  akonadi-calendar
)

set_target_properties(calendarsupport
  PROPERTIES VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS calendarsupport ${INSTALL_TARGETS_DEFAULT_ARGS})

set(calendarsupportcollectionpage_LIB_SRCS
    collectiongeneralpage.cpp
)

kde4_add_library(calendarsupportcollectionpage ${LIBRARY_TYPE} ${calendarsupportcollectionpage_LIB_SRCS})

target_link_libraries(
  calendarsupportcollectionpage
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KCALCORE_LIBS}
  ${KDEPIMLIBS_KCALUTILS_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KUTILS_LIBS}
  mailcommon
  pimcommon
  akonadi-calendar
)

set_target_properties(calendarsupportcollectionpage
  PROPERTIES VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS calendarsupportcollectionpage ${INSTALL_TARGETS_DEFAULT_ARGS})


install(FILES calendarplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== calendarviews/CMakeLists.txt ===
# The following macros can be defined to alter behavior.
# (if desired, use add_definitions() to define them)
#
# EVENTVIEWS_NODECOS - turns-off decoration plugins in views.
#                No idea why you would want to define this, perhaps to save
#                screen real estate? But there are a config options for that.

project(calendarView)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(viewerapp)
endif()

option(EVENTVIEWS_NODECOS "Turn-off decoration plugins in views." FALSE)

if(EVENTVIEWS_NODECOS)
  add_definitions(-DEVENTVIEWS_NODECOS)
endif()

include_directories(
  ${Boost_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/akonadi_next
  ${CMAKE_SOURCE_DIR}/calendarsupport
  ${CMAKE_BINARY_DIR}/calendarsupport
  ${CMAKE_SOURCE_DIR}/calendarviews
  ${CMAKE_SOURCE_DIR}/libkdepim/
  ${ZLIB_INCLUDE_DIRS}
)

if(KDEPIM_MOBILE_UI)
  add_definitions(-DKORG_NODND)
endif()

########### next target ###############

set(eventviews_LIB_SRCS
  eventview_p.cpp
  eventview.cpp
  helper.cpp
  prefs.cpp

  # Agenda view specific code.
  agenda/agenda.cpp
  agenda/agendaitem.cpp
  agenda/agendaview.cpp
  agenda/alternatelabel.cpp
  agenda/calendardecoration.cpp
  agenda/decorationlabel.cpp
  agenda/timelabels.cpp
  agenda/timelabelszone.cpp
  agenda/timescaleconfigdialog.cpp

  journal/journalframe.cpp
  journal/journalview.cpp

  list/listview.cpp

  month/monthgraphicsitems.cpp
  month/monthitem.cpp
  month/monthscene.cpp
  month/monthview.cpp

  multiagenda/multiagendaview.cpp

  todo/tododelegates.cpp
  todo/todomodel.cpp
  todo/incidencetreemodel.cpp

  todo/todoviewquickaddline.cpp
  todo/todoviewquicksearch.cpp
  todo/todoviewsortfilterproxymodel.cpp
  todo/todoviewview.cpp
  todo/todoview.cpp

  timeline/timelineview.cpp
  timeline/timelineitem.cpp
  timeline/timelineview_p.cpp

  timespent/timespentview.cpp

  whatsnext/whatsnextview.cpp
)

kde4_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)

kde4_add_ui_files(eventviews_LIB_SRCS
  agenda/timescaleedit_base.ui
)

kde4_add_library(eventviews ${LIBRARY_TYPE} ${eventviews_LIB_SRCS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

target_link_libraries(eventviews
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTUITOOLS_LIBRARY}
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDE4_KCMUTILS_LIBS}
  ${ZLIB_LIBRARIES}
  ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KHOLIDAYS_LIBS}
  ${KDE4_KPRINTUTILS_LIBS}
  kdepim
  kdgantt2
  calendarsupport
  akonadi_next
  ${KDEPIMLIBS_KCALCORE_LIBS}
  ${KDEPIMLIBS_KCALUTILS_LIBS}
  akonadi-calendar
)

set_target_properties(eventviews PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS eventviews ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES agenda/calendardecoration.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(tests)

=== examples/CMakeLists.txt ===
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

macro_optional_add_subdirectory(akonablog)
macro_optional_add_subdirectory(akonalendar)
macro_optional_add_subdirectory(etm_usage)
macro_optional_add_subdirectory(kabc)
macro_optional_add_subdirectory(mailreader)
macro_optional_add_subdirectory(coisceim)

=== grantleeeditor/CMakeLists.txt ===
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)

=== importwizard/CMakeLists.txt ===
project(importwizard)

add_subdirectory(icons)

set(importwizard_SRCS
abstractbase.cpp
importwizardkernel.cpp
selectprogrampage.cpp
importaddressbookpage.cpp
importfilterpage.cpp
importmailpage.cpp
importsettingpage.cpp
importwizard.cpp
importfinishpage.cpp
main.cpp
abstractimporter.cpp
selectcomponentpage.cpp
importfilterinfogui.cpp
abstractsettings.cpp
abstractaddressbook.cpp
abstractcalendar.cpp
importcalendarpage.cpp
importwizardutil.cpp
thunderbird/thunderbirdimportdata.cpp
thunderbird/thunderbirdsettings.cpp
thunderbird/thunderbirdaddressbook.cpp
thunderbird/addressbook/MorkParser.cpp
sylpheed/sylpheedimportdata.cpp
sylpheed/sylpheedsettings.cpp
sylpheed/sylpheedaddressbook.cpp
sylpheed/sylpheedsettingsutils.cpp
evolutionv3/evolutionv3importdata.cpp
evolutionv3/evolutionsettings.cpp
evolutionv3/evolutioncalendar.cpp
evolutionv3/evolutionaddressbook.cpp
evolutionv3/evolutionutil.cpp
evolutionv2/evolutionv2importdata.cpp
evolutionv1/evolutionv1importdata.cpp
opera/operaimportdata.cpp
opera/operaaddressbook.cpp
opera/operasettings.cpp
oe/oeimportdata.cpp
mailapp/mailappimportdata.cpp
pmail/pmailimportdata.cpp
pmail/pmailsettings.cpp
thebat/thebatimportdata.cpp
balsa/balsaimportdata.cpp
balsa/balsasettings.cpp
balsa/balsaaddressbook.cpp
claws-mail/clawsmailimportdata.cpp
claws-mail/clawsmailsettings.cpp
claws-mail/clawsmailaddressbook.cpp
trojita/trojitasettings.cpp
trojita/trojitaimportdata.cpp
trojita/trojitaaddressbook.cpp
kmail1/kmail1importdata.cpp
kmail1/kmail1settings.cpp
icedove/icedoveimportdata.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/mailimporter 
                    ${CMAKE_SOURCE_DIR}/mailcommon 
		    ${CMAKE_SOURCE_DIR}/pimcommon
                    ${CMAKE_SOURCE_DIR}/messagecomposer/
		    ${CMAKE_SOURCE_DIR}/mailcommon/filter/
                    ${CMAKE_SOURCE_DIR}/messageviewer/
		    ${CMAKE_SOURCE_DIR}/libkdepim/
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

kde4_add_ui_files(importwizard_SRCS 
                  ui/selectprogrampage.ui
                  ui/importaddressbookpage.ui
                  ui/importfilterpage.ui
                  ui/importmailpage.ui
                  ui/importsettingpage.ui
                  ui/selectcomponentpage.ui 
		  ui/importfinishpage.ui 
		  ui/importcalendarpage.ui)

kde4_add_app_icon(importwizard_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kontact-import-wizard.png")

kde4_add_executable(importwizard ${importwizard_SRCS})

target_link_libraries(importwizard
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
  mailimporter
  pimcommon
  mailcommon
  kdepim
  messagecomposer
  messageviewer
)

install(TARGETS importwizard  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS importwizard.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kaddressbook/CMakeLists.txt ===
project(kaddressbook)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/xxport/shared
  ${CMAKE_CURRENT_SOURCE_DIR}/printing/
  ${QT_QTDBUS_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
  ${Grantlee_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/pimcommon/
  ${CMAKE_SOURCE_DIR}/libkdepim/
  ${CMAKE_SOURCE_DIR}/grantleetheme/
  ${CMAKE_SOURCE_DIR}/kaddressbookgrantlee/
  ${CMAKE_SOURCE_DIR}/libkleo
)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")


if(Prison_FOUND)
  add_definitions(-DHAVE_PRISON)
  include_directories(${PRISON_INCLUDE_DIR})
endif()

add_subdirectory(icons)
add_subdirectory(printing)
add_subdirectory(tests)
if(QGPGME_FOUND)
  add_definitions(-DQGPGME_FOUND)
endif()

set(kaddressbook_sendmail_SRCS
  sendmail/mailsenderjob.cpp
)

set(kaddressbook_sendvcards_SRCS
  sendvcards/sendvcardsjob.cpp
)

set(kaddressbook_printing_SRCS
  printing/detailled/detailledstyle.cpp
  printing/mike/mikesstyle.cpp
  printing/printingwizard.cpp
  printing/printprogress.cpp
  printing/printstyle.cpp
  printing/ringbinder/ringbinderstyle.cpp
  printing/compact/compactstyle.cpp
  printing/grantlee/grantleeprintstyle.cpp
  printing/grantlee/contactgrantleeprintobject.cpp
  printing/grantlee/contactgrantleeprintaddressobject.cpp
  printing/grantlee/contactgrantleeprintphoneobject.cpp
  printing/grantlee/contactgrantleeprintimobject.cpp
  printing/grantlee/contactgrantleeprintgeoobject.cpp
  printing/grantlee/contactgrantleeprintcryptoobject.cpp
  printing/grantlee/grantleeprint.cpp
  printing/stylepage.cpp
)

kde4_add_ui_files(kaddressbook_printing_SRCS
  printing/ringbinder/rbs_appearance.ui
  printing/detailled/ds_appearance.ui
  printing/compact/compactstyle.ui
)

set(kaddressbook_xxport_SRCS
  xxport/csv/csv_xxport.cpp
  xxport/csv/csvimportdialog.cpp
  xxport/csv/dateparser.cpp
  xxport/csv/qcsvmodel.cpp
  xxport/csv/qcsvreader.cpp
  xxport/csv/templateselectiondialog.cpp
  xxport/ldif/ldif_xxport.cpp
  xxport/ldap/ldap_xxport.cpp
  xxport/gmx/gmx_xxport.cpp
  xxport/shared/xxport.cpp
  xxport/vcard/vcard_xxport.cpp
  xxport/xxportfactory.cpp
  xxport/xxportmanager.cpp
  xxport/vcard/vcardviewerdialog.cpp
  xxport/vcard/vcardexportselectionwidget.cpp
  xxport/contactselectiondialog.cpp
)

set(kaddressbook_merge_SRCS
   merge/job/searchpotentialduplicatecontactjob.cpp
   merge/job/mergecontactsjob.cpp
   merge/job/mergecontacts.cpp

   merge/manualmerge/mergecontactsdialog.cpp
   merge/manualmerge/mergecontactwidget.cpp
   merge/manualmerge/mergecontactwidgetlist.cpp

   merge/searchduplicate/searchandmergecontactduplicatecontactdialog.cpp
   merge/searchduplicate/searchduplicateresultwidget.cpp
   merge/searchduplicate/resultduplicatetreewidget.cpp
   merge/searchduplicate/mergecontactselectinformationtabwidget.cpp

   merge/widgets/mergecontactinfowidget.cpp
   merge/widgets/mergecontactshowresulttabwidget.cpp
   merge/widgets/mergecontactselectinformationwidget.cpp
   merge/widgets/mergecontactselectlistwidget.cpp
   merge/widgets/mergecontactloseinformationwarning.cpp
   merge/widgets/mergecontactselectinformationscrollarea.cpp
   merge/widgets/mergecontacterrorlabel.cpp
)

set(kaddressbook_gravatar_SRCS
   gravatar/job/gravatarcreatejob.cpp
   gravatar/job/gravatarupdatejob.cpp
   gravatar/widgets/gravatarcreatedialog.cpp
   gravatar/widgets/gravatarcreatewidget.cpp
   gravatar/widgets/gravatarupdatedialog.cpp
   gravatar/widgets/gravatarcreatewidget.cpp
   gravatar/widgets/gravatarupdatewidget.cpp
)

set(kaddressbook_LIB_SRCS
  contactlist.cpp
  startup.cpp
  aboutdata.cpp
  categoryfilterproxymodel.cpp
  categoryselectwidget.cpp
  contactfields.cpp
  contactselectionwidget.cpp
  contactsorter.cpp
  contactswitcher.cpp
  globalcontactmodel.cpp
  mainwidget.cpp
  modelcolumnmanager.cpp
  quicksearchwidget.cpp
  utils.cpp
  ${kaddressbook_merge_SRCS}
  ${kaddressbook_printing_SRCS}
  ${kaddressbook_xxport_SRCS}
  ${kaddressbook_sendmail_SRCS}
  ${kaddressbook_sendvcards_SRCS}
  ${kaddressbook_gravatar_SRCS}
)

qt4_add_dbus_adaptor( kaddressbook_LIB_SRCS org.kde.kaddressbook.xml mainwidget.h MainWidget)

kde4_add_kcfg_files(kaddressbook_LIB_SRCS settings/settings.kcfgc)
kde4_add_library(kaddressbookprivate ${LIBRARY_TYPE} ${kaddressbook_LIB_SRCS})
target_link_libraries(kaddressbookprivate
  kdepim
  pimcommon
  kaddressbookgrantlee
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
  ${KDEPIMLIBS_KLDAP_LIBS}
  ${KDE4_KCMUTILS_LIBS}
  ${KDE4_KPRINTUTILS_LIBS}
  ${Grantlee_CORE_LIBRARIES}
  grantleetheme
  kleo
)
add_subdirectory(merge/tests)
add_subdirectory(sendmail/tests)
add_subdirectory(sendvcards/autotests)
add_subdirectory(printing/grantlee/autotests)
add_subdirectory(gravatar/autotests)
add_subdirectory(gravatar/tests)

if(QGPGME_FOUND)
  target_link_libraries(kaddressbookprivate ${QGPGME_LIBRARIES})
endif()

if(PRISON_FOUND)
  target_link_libraries(kaddressbookprivate ${PRISON_LIBRARIES})
endif()

set_target_properties(kaddressbookprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS kaddressbookprivate ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

########### next target ###############

set(kaddressbook_SRCS
  main.cpp
  mainwindow.cpp
)

kde4_add_app_icon(kaddressbook_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kaddressbook.png")

kde4_add_executable(kaddressbook ${kaddressbook_SRCS})

target_link_libraries(kaddressbook
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_SYNDICATION_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KCMUTILS_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_PHONON_LIBS}
  ${KDEPIMLIBS_KONTACTINTERFACE_LIBS}
  kaddressbookprivate
  grantleetheme
)

if(QGPGME_FOUND)
  target_link_libraries(kaddressbook ${QGPGME_LIBRARIES})
endif()

install(TARGETS kaddressbook ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS data/kaddressbook.desktop data/kaddressbook-importer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kaddressbookui.rc DESTINATION ${DATA_INSTALL_DIR}/kaddressbook)

set(kaddressbook_PART_SRCS kaddressbookpart.cpp)
kde4_add_plugin(kaddressbookpart ${kaddressbook_PART_SRCS})
target_link_libraries(kaddressbookpart ${KDE4_KPARTS_LIBS} kaddressbookprivate)
install(TARGETS kaddressbookpart DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/kaddressbookpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
  viewertemplates/contact.html
  viewertemplates/contact_embedded.html
  viewertemplates/contact_row.html
  viewertemplates/contactgroup.html
  viewertemplates/contactgroup_embedded.html
  viewertemplates/contactgroup_additionalfieldrow.html
  viewertemplates/contactgroup_memberrow.html
  viewertemplates/theme.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook/viewertemplates/default/
)

install(FILES data/kaddressbook_themes.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )

install(DIRECTORY printing/grantlee/themes/ DESTINATION ${DATA_INSTALL_DIR}/kaddressbook/printing/themes/ )

=== kaddressbookgrantlee/CMakeLists.txt ===
project(kaddressbookgrantlee)

include_directories(
  ${Grantlee_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/grantleetheme 
)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

if(Prison_FOUND)
  add_definitions(-DHAVE_PRISON)
  include_directories(${PRISON_INCLUDE_DIR})
endif()

set(kaddressbook_grantlee_LIB_SRCS
  widget/grantleecontactviewer.cpp
  formatter/grantleecontactformatter.cpp
  formatter/grantleecontactgroupformatter.cpp
  formatter/grantleecontactutils.cpp
)

kde4_add_library(kaddressbookgrantlee ${LIBRARY_TYPE} ${kaddressbook_grantlee_LIB_SRCS})
target_link_libraries(kaddressbookgrantlee
  ${Grantlee_CORE_LIBRARIES}
  grantleetheme
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
)

if(PRISON_FOUND)
  target_link_libraries(kaddressbookgrantlee ${PRISON_LIBRARIES})
endif()

set_target_properties(kaddressbookgrantlee PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS kaddressbookgrantlee ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kjots/CMakeLists.txt ===
project(kjots)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


include_directories(
  ${KDE4_INCLUDES}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${Grantlee_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/noteshared
)

set(kjotsLibs ${KDE4_KIO_LIBS} kdepim)

add_subdirectory( icons )
add_subdirectory( plasmoid )

#########################################################################
# Code common to the kjots application and the kontact plugin
# Don't make it a static library, this code needs to be compiled
# with -fPIC for the part and without -fPIC for the executable
#########################################################################

set(kjots_config_SRCS kjotsconfigdlg.cpp)

kde4_add_kcfg_files(kjots_config_SRCS KJotsSettings.kcfgc )

kde4_add_ui_files(kjots_config_SRCS confpagemisc.ui)


set (kjots_common_SRCS
     aboutdata.cpp
     kjotslockjob.cpp
     kjotsedit.cpp
     kjotstreeview.cpp
     kjotsbookmarks.cpp
     kjotsreplacenextdialog.cpp
     kjotsmodel.cpp
     kjotssortproxymodel.cpp
     kjotswidget.cpp
     kjotsbrowser.cpp
     kjotslinkdialog.cpp
     localresourcecreator.cpp
     kjotsbookshelfentryvalidator.cpp
     knowitimporter.cpp ${kjots_config_SRCS}
)

#########################################################################
# D-Bus interface
#########################################################################

qt4_generate_dbus_interface( kjotswidget.h org.kde.KJotsWidget.xml OPTIONS -m )
qt4_add_dbus_interfaces(kjots_common_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KJotsWidget.xml)


#########################################################################
# Main Application SECTION
#########################################################################

set(kjots_SRCS
   main.cpp
   KJotsMain.cpp
   ${kjots_common_SRCS}
)
kde4_add_app_icon(kjots_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kjots.png")

kde4_add_executable(kjots ${kjots_SRCS})

target_link_libraries(kjots
  ${kjotsLibs}
  ${KDE4_KCMUTILS_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${Grantlee_CORE_LIBRARIES}
  ${Grantlee_GUI_LIBRARIES}
  ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS}
  ${KDEPIMLIBS_KONTACTINTERFACE_LIBS}
   ${KDE4_KPRINTUTILS_LIBS}
  ${KDEPIMLIBS_AKONADI_NOTES_LIBS}
  akonadi_next
  noteshared
)


install(TARGETS kjots  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS Kjots.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kjots.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kjotsui.rc  DESTINATION ${DATA_INSTALL_DIR}/kjots)

install(DIRECTORY themes DESTINATION ${DATA_INSTALL_DIR}/kjots PATTERN *.svn EXCLUDE )




  set(kjotspart_PART_SRCS
    kjotspart.cpp
    ${kjots_common_SRCS}
  )

  kde4_add_plugin(kjotspart ${kjotspart_PART_SRCS}
  )


  target_link_libraries(kjotspart
    ${KDE4_KCMUTILS_LIBS}
    ${KDE4_KPARTS_LIBS}
    kdepim
    ${KDEPIMLIBS_KMIME_LIBS}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${Grantlee_CORE_LIBRARIES}
    ${Grantlee_GUI_LIBRARIES}
    ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS}
    ${KDE4_KPRINTUTILS_LIBS}
    ${KDEPIMLIBS_AKONADI_NOTES_LIBS}
    akonadi_next
    noteshared
  )

  install( FILES kjotspart.desktop  DESTINATION ${SERVICES_INSTALL_DIR} )
  install( FILES kjotspartui.rc  DESTINATION ${DATA_INSTALL_DIR}/kjots)

  install(TARGETS kjotspart  DESTINATION ${PLUGIN_INSTALL_DIR} )


  ###########################################################################
  set(kcm_kjots_PART_SRCS kcm_kjots.cpp ${kjots_config_SRCS} )

  kde4_add_plugin(kcm_kjots ${kcm_kjots_PART_SRCS})

  target_link_libraries(kcm_kjots  ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})

  install(TARGETS kcm_kjots DESTINATION ${PLUGIN_INSTALL_DIR})


  install(FILES
        kjots_config_misc.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== kleopatra/CMakeLists.txt ===
kde4_no_enable_final(kleopatra)
project(kleopatra)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


option(KLEO_STATIC_KCMODULES "Build Kleopatra's KCMs into Kleopatra; don't install plugins" WINCE)

include(MacroOptionalAddSubdirectory)

set(kleopatra_version 2.2.0)
set(kleopatra_release FALSE)

if(NOT kleopatra_release)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%h ${CMAKE_CURRENT_SOURCE_DIR}
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}/kleopatra
                    OUTPUT_VARIABLE Kleopatra_WC_REVISION)
    string(REGEX REPLACE "\n" "" Kleopatra_WC_REVISION "${Kleopatra_WC_REVISION}")

    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci ${CMAKE_CURRENT_SOURCE_DIR}
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}/kleopatra
                    OUTPUT_VARIABLE Kleopatra_WC_LAST_CHANGED_DATE)
    string(REGEX REPLACE " [-0-9:+ ]*\n" "" Kleopatra_WC_LAST_CHANGED_DATE "${Kleopatra_WC_LAST_CHANGED_DATE}")

    set(kleopatra_version "${kleopatra_version}-git${Kleopatra_WC_REVISION} (${Kleopatra_WC_LAST_CHANGED_DATE})")
  endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version-kleopatra.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kleopatra.h)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkleo
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/mobile/lib
  ${Boost_INCLUDE_DIR}
  ${QGPGME_INCLUDES}
  ${GPGME_INCLUDES}
)

if(USABLE_ASSUAN_FOUND)
  if(ASSUAN2_FOUND)
    include_directories(${ASSUAN2_INCLUDES})
  else()
    include_directories(${ASSUAN_INCLUDES})
  endif()
endif()

add_definitions(-D_ASSUAN_ONLY_GPG_ERRORS)
add_definitions(-DQT_STL)
remove_definitions(-DQT_NO_STL)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
if(GCC_IS_NEWER_THAN_4_3)
  if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")
  endif()
endif()

add_subdirectory(pics)
add_subdirectory(conf)

if(USABLE_ASSUAN_FOUND AND BUILD_libkleopatraclient)
  # can't use macro_optional_add_subdirectory here, since it's split
  # off into ConfigureChecks.cmake..
  add_subdirectory(libkleopatraclient)
endif()

add_subdirectory(kgpgconf)
add_subdirectory(kwatchgnupg)
add_subdirectory(tests)

if(WIN32)
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_win.cpp)
  set(_kleopatra_extra_SRCS utils/gnupg-registry.c selftest/registrycheck.cpp)
else()
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_unix.cpp)
  set(_kleopatra_extra_SRCS)
endif()

if(USABLE_ASSUAN_FOUND)
  add_definitions(-DKLEOPATRACLIENT_NAMESPACE=KleopatraClientCopy -DKLEOPATRACLIENTCORE_EXPORT=)
  set(_kleopatra_uiserver_SRCS
    uiserver/sessiondata.cpp
    uiserver/uiserver.cpp
    ${_kleopatra_extra_uiserver_SRCS}
    uiserver/assuanserverconnection.cpp
    uiserver/echocommand.cpp
    uiserver/decryptverifycommandemailbase.cpp
    uiserver/decryptverifycommandfilesbase.cpp
    uiserver/signcommand.cpp
    uiserver/signencryptfilescommand.cpp
    uiserver/prepencryptcommand.cpp
    uiserver/prepsigncommand.cpp
    uiserver/encryptcommand.cpp
    uiserver/selectcertificatecommand.cpp
    uiserver/importfilescommand.cpp
    uiserver/createchecksumscommand.cpp
    uiserver/verifychecksumscommand.cpp

    libkleopatraclient/core/command.cpp
    selftest/uiservercheck.cpp
  )
  set_source_files_properties(libkleopatraclient/core/command.cpp PROPERTIES SKIP_AUTOMOC TRUE)

  qt4_generate_moc(libkleopatraclient/core/command_p.h "${CMAKE_CURRENT_BINARY_DIR}/libkleopatraclient/core/moc_command_p.cpp")
  qt4_generate_moc(libkleopatraclient/core/command.h "${CMAKE_CURRENT_BINARY_DIR}/libkleopatraclient/core/moc_command.cpp")

  list(APPEND _kleopatra_uiserver_SRCS
    "${CMAKE_CURRENT_BINARY_DIR}/libkleopatraclient/core/moc_command_p.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/libkleopatraclient/core/moc_command.cpp"
  )

  if(ASSUAN2_FOUND)
    set(_kleopatra_uiserver_extra_libs ${ASSUAN2_LIBRARIES})
  else()
    if(WIN32)
      set(_kleopatra_uiserver_extra_libs ${ASSUAN_VANILLA_LIBRARIES})
    else()
      set(_kleopatra_uiserver_extra_libs ${ASSUAN_PTHREAD_LIBRARIES})
    endif()
  endif()

  if(HAVE_GPG_ERR_SOURCE_KLEO)
    add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
  else()
    add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
  endif()

else()
  set(_kleopatra_uiserver_SRCS)
endif()

kde4_add_ui_files(_kleopatra_uiserver_SRCS crypto/gui/signingcertificateselectionwidget.ui)

set(_kleopatra_SRCS
  utils/gnupg-helper.cpp
  utils/filesystemwatcher.cpp
  utils/filedialog.cpp
  utils/kdpipeiodevice.cpp
  utils/kdlogtextwidget.cpp
  utils/kdsignalblocker.cpp
  utils/headerview.cpp
  utils/scrollarea.cpp
  utils/dragqueen.cpp
  utils/multivalidator.cpp
  utils/progressmanager.cpp
  utils/systemtrayicon.cpp

  utils/hex.cpp
  utils/path-helper.cpp
  utils/input.cpp
  utils/output.cpp
  utils/formatting.cpp
  utils/validation.cpp
  utils/wsastarter.cpp
  utils/classify.cpp
  utils/iodevicelogger.cpp
  utils/log.cpp
  utils/action_data.cpp
  utils/types.cpp
  utils/archivedefinition.cpp
  utils/auditlog.cpp
  utils/clipboardmenu.cpp

  selftest/selftest.cpp
  selftest/enginecheck.cpp
  selftest/gpgconfcheck.cpp
  selftest/gpgagentcheck.cpp
  selftest/libkleopatrarccheck.cpp

  ${_kleopatra_extra_SRCS}

  models/keycache.cpp
  models/keylistmodel.cpp
  models/keylistsortfilterproxymodel.cpp
  models/subkeylistmodel.cpp
  models/useridlistmodel.cpp

  view/keylistcontroller.cpp
  view/keytreeview.cpp
  view/searchbar.cpp
  view/tabwidget.cpp

  dialogs/certificateselectiondialog.cpp
  dialogs/expirydialog.cpp
  dialogs/lookupcertificatesdialog.cpp
  dialogs/ownertrustdialog.cpp
  dialogs/selftestdialog.cpp
  dialogs/certifycertificatedialog.cpp
  dialogs/exportsecretkeydialog.cpp
  dialogs/adduseriddialog.cpp
  dialogs/certificatedetailsdialog.cpp
  dialogs/exportcertificatesdialog.cpp
  dialogs/deletecertificatesdialog.cpp
  dialogs/setinitialpindialog.cpp

  crypto/controller.cpp
  crypto/certificateresolver.cpp
  crypto/sender.cpp
  crypto/recipient.cpp
  crypto/task.cpp
  crypto/taskcollection.cpp
  crypto/decryptverifytask.cpp
  crypto/decryptverifyemailcontroller.cpp
  crypto/decryptverifyfilescontroller.cpp
  crypto/encryptemailtask.cpp
  crypto/encryptemailcontroller.cpp
  crypto/newsignencryptemailcontroller.cpp
  crypto/signencryptfilestask.cpp
  crypto/signencryptfilescontroller.cpp
  crypto/signemailtask.cpp
  crypto/signemailcontroller.cpp
  crypto/createchecksumscontroller.cpp
  crypto/verifychecksumscontroller.cpp

  crypto/gui/wizard.cpp
  crypto/gui/wizardpage.cpp

  crypto/gui/signingcertificateselectionwidget.cpp
  crypto/gui/signingcertificateselectiondialog.cpp

  crypto/gui/resultitemwidget.cpp
  crypto/gui/resultlistwidget.cpp
  crypto/gui/resultpage.cpp

  crypto/gui/newresultpage.cpp
  crypto/gui/newsignencryptfileswizard.cpp

  crypto/gui/signencryptemailconflictdialog.cpp

  crypto/gui/decryptverifyoperationwidget.cpp
  crypto/gui/decryptverifyfileswizard.cpp

  crypto/gui/objectspage.cpp
  crypto/gui/resolverecipientspage.cpp
  crypto/gui/signerresolvepage.cpp
  crypto/gui/encryptemailwizard.cpp
  crypto/gui/signemailwizard.cpp
  crypto/gui/signencryptfileswizard.cpp
  crypto/gui/signencryptwizard.cpp

  crypto/gui/verifychecksumsdialog.cpp

  commands/command.cpp
  commands/gnupgprocesscommand.cpp
  commands/detailscommand.cpp
  commands/exportcertificatecommand.cpp
  commands/importcertificatescommand.cpp
  commands/importcertificatefromfilecommand.cpp
  commands/importcertificatefromclipboardcommand.cpp
  commands/lookupcertificatescommand.cpp
  commands/reloadkeyscommand.cpp
  commands/refreshx509certscommand.cpp
  commands/refreshopenpgpcertscommand.cpp
  commands/deletecertificatescommand.cpp
  commands/decryptverifyfilescommand.cpp
  commands/signencryptfilescommand.cpp
  commands/encryptclipboardcommand.cpp
  commands/signclipboardcommand.cpp
  commands/decryptverifyclipboardcommand.cpp
  commands/clearcrlcachecommand.cpp
  commands/dumpcrlcachecommand.cpp
  commands/dumpcertificatecommand.cpp
  commands/importcrlcommand.cpp
  commands/changeexpirycommand.cpp
  commands/changeownertrustcommand.cpp
  commands/changeroottrustcommand.cpp
  commands/changepassphrasecommand.cpp
  commands/certifycertificatecommand.cpp
  commands/selftestcommand.cpp
  commands/exportsecretkeycommand.cpp
  commands/exportopenpgpcertstoservercommand.cpp
  commands/adduseridcommand.cpp
  commands/newcertificatecommand.cpp
  commands/setinitialpincommand.cpp
  commands/learncardkeyscommand.cpp
  commands/checksumcreatefilescommand.cpp
  commands/checksumverifyfilescommand.cpp

  ${_kleopatra_uiserver_files}

  conf/configuredialog.cpp

  newcertificatewizard/listwidget.cpp
  newcertificatewizard/newcertificatewizard.cpp

  smartcard/readerstatus.cpp

  aboutdata.cpp
  systrayicon.cpp
  kleopatraapplication.cpp
  main.cpp
)

if(KLEO_STATIC_KCMODULES)
  add_definitions(-DKLEO_STATIC_KCMODULES)
  set(_kleopatra_extra_libs kcm_kleopatra)
else()
  set(_kleopatra_extra_libs)
endif()

if(KLEO_MODEL_TEST)
  add_definitions(-DKLEO_MODEL_TEST)
  set(_kleopatra_SRCS ${_kleopatra_SRCS} models/modeltest.cpp)
endif()

kde4_add_ui_files(_kleopatra_SRCS
  dialogs/certificationoptionswidget.ui
  dialogs/expirydialog.ui
  dialogs/lookupcertificatesdialog.ui
  dialogs/ownertrustdialog.ui
  dialogs/selectchecklevelwidget.ui
  dialogs/selftestdialog.ui
  dialogs/exportsecretkeydialog.ui
  dialogs/adduseriddialog.ui
  dialogs/certificatedetailsdialog.ui
  dialogs/setinitialpindialog.ui
  newcertificatewizard/listwidget.ui
  newcertificatewizard/chooseprotocolpage.ui
  newcertificatewizard/enterdetailspage.ui
  newcertificatewizard/overviewpage.ui
  newcertificatewizard/keycreationpage.ui
  newcertificatewizard/resultpage.ui
  newcertificatewizard/advancedsettingsdialog.ui
)

kde4_add_kcfg_files(_kleopatra_SRCS
  kcfg/tooltippreferences.kcfgc
  kcfg/emailoperationspreferences.kcfgc
  kcfg/fileoperationspreferences.kcfgc
  kcfg/smimevalidationpreferences.kcfgc
)

if(KDEPIM_ONLY_KLEO)
  add_definitions(-DKDEPIM_ONLY_KLEO -DKDEPIM_EXPORT=)
  set(_kleopatra_libkdepim_SRCS
    ${CMAKE_SOURCE_DIR}/libkdepim/progresswidget/progressmanager.cpp
    ${CMAKE_SOURCE_DIR}/libkdepim/progresswidget/progressdialog.cpp
    ${CMAKE_SOURCE_DIR}/libkdepim/progresswidget/ssllabel.cpp
    ${CMAKE_SOURCE_DIR}/libkdepim/progresswidget/statusbarprogresswidget.cpp
    ${CMAKE_SOURCE_DIR}/libkdepim/widgets/overlaywidget.cpp
  )
  set(_kleopatra_libkdepim_LIBS)
else()
  set(_kleopatra_libkdepim_SRCS)
  set(_kleopatra_libkdepim_LIBS kdepim)
endif()

if(KDEPIM_MOBILE_UI)
  set(_kleopatra_uiserver_extra_libs ${_kleopatra_uiserver_extra_libs} kdepimmobileui)
  set(_kleopatra_mainwindow_SRCS mainwindow_mobile.cpp)
else()
  set(_kleopatra_mainwindow_SRCS mainwindow_desktop.cpp)
endif()

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5151)

kde4_add_app_icon(_kleopatra_mainwindow_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kleopatra.png")

kde4_add_executable(kleopatra_bin ${_kleopatra_SRCS} ${_kleopatra_mainwindow_SRCS} ${_kleopatra_uiserver_SRCS} ${_kleopatra_libkdepim_SRCS})
set_target_properties(kleopatra_bin PROPERTIES OUTPUT_NAME kleopatra)

target_link_libraries(kleopatra_bin
  ${_kleopatra_extra_libs}
  kleo
  ${QGPGME_LIBRARIES}
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDE4_KCMUTILS_LIBS}
  ${_kleopatra_uiserver_extra_libs}
  ${_kleopatra_libkdepim_LIBS}
)

if(KDEPIM_MOBILE_UI)
  target_link_libraries(kleopatra_bin ${QT_QTDECLARATIVE_LIBRARY})
endif()

if(USABLE_ASSUAN_FOUND)
  target_link_libraries(kleopatra_bin ${QT_QTNETWORK_LIBRARY})
endif()

install(TARGETS kleopatra_bin ${INSTALL_TARGETS_DEFAULT_ARGS})

install(

=== debian/changelog ===
kdepim4 (4:4.14.10-7) unstable; urgency=medium

  * Team upload.
  * Remove the handling of kalarm icons, as kalarm is no more built by this
    source.
  * Disable the build of most of the unused applications and libraries:
    - disable the build of mobile stuff (-DKDEPIM_BUILD_MOBILE=false to cmake)
    - pass -DBUILD_<foo>=false to cmake to disable console, akonadiconsole,
      akregator, blogilo, grantleeeditor, importwizard, kaddressbook, kalarm,
      kjots, kleopatra, kmail, kmailcvt, knotes, kontact, korgac, korganizer,
      ksendemail, ktnef, mboximporter, pimsettingexporter, sieveeditor, and
      storageservicemanager
  * Do not install the Qt Designer plugins and their icons, as there is no
    development stuff.
  * Do not install unused libraries.
    - remove unused packages: libmailcommon4, libmailimporter4
  * Update install files.
  * The above install cleanups should fix the circular dependencies because of
    libkdepim4. (Closes: #729363)
  * Remove unused build dependencies: akonadi-server, libkactivities-dev,
    libprison-dev, libqt4-opengl-dev, libsearchclient-dev, libsoprano-dev,
    libxml2-dev, and sharutils.
  * Update Vcs-* fields.
  * Update the patches:
    - debianize_akregator_default.diff: drop, no more needed
    - kubuntu_debianize_akregator_default.diff: drop, no more needed
    - kubuntu_install_headers.diff: drop, no more needed
    - disable_has_focus_tests_failed_in_xvfb.patch: drop, tests are not run
    - disable_test_verify: drop, stale file
    - spambayes.patch: drop, stale file
  * Install the knode and ktimetracker documentations in the application
    packages; add proper breaks/replaces against old kdepim-doc versions.
  * Update not-installed file.
  * Fix typo in description of libkdgantt2-0.
  * Update lintian overrides.
  * Remove useless debian/docs file, not needed for knode.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add a simple description for libsendlater4. (Closes: #731301)

 -- Pino Toscano <pino@debian.org>  Tue, 09 Aug 2016 19:48:43 +0200

kdepim4 (4:4.14.10-6) unstable; urgency=medium

  * Drop kgapi build dependency.
    Thanks to Jeremy Bicha for the report (Closes: 830511)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Jul 2016 14:17:17 +0200

kdepim4 (4:4.14.10-5) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:43:00 +0200

kdepim4 (4:4.14.10-4) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 16:10:58 +0200

kdepim4 (4:4.14.10-3) experimental; urgency=medium

  * Rename source package to keep only knode and ktimetracker.
  * Migrate to the automatic dbgsym packages
  * Drop build depends indep
  * Drop link-grammar build dependency
  * Remove images installed by korganizer

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 15:37:43 +0200

kdepim (4:4.14.10-2) unstable; urgency=medium

  * Team upload.
  * Add kdepim-mobileui-data Breaks/Replaces libmessageviewer4 (Closes:
    #788465)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 03 Sep 2015 11:05:40 -0400

kdepim (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.6).
  * New upstream release (4.14.7).
  * New upstream release (4.14.8).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Refresh patches.
  * Add libsoprano-dev build dep.
  * Update install files.
  * New patch: workaround_boost_moc_ftbfs

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 17:05:10 +0200

kdepim (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:02 -0700

kdepim (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release (upstream 4.14.5).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Remove upstream patch: upstream_delete_the_part_from_the_mainwindow
  * Remove upstream patch: upstream_fix_crash_on_logout
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 15:37:05 +0100

kdepim (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix watch file.
  * Fix watch file to new application location.
  * Watchfiles will manual updates while these versions do
    not match the parent applications versions...

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:56 -0800

kdepim (4:4.14.2-2) unstable; urgency=medium

  * New upstream patch: upstream_delete_the_part_from_the_mainwindow.
    (Closes: #764362) Thanks to Alexandre Detiste
  * Comment more hasFocus calls in the tests.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 11:26:05 +0200

kdepim (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * New patch: upstream_fix_crash_on_logout (Closes: #764362) Thanks to
    Francesco Muzio
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:12:34 +0200

kdepim (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix extended-description-line-too-long in libkgantt2-0.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:01:47 -0700

kdepim (4:4.14.1-1) unstable; urgency=medium

  * Remove old Breaks/Replaces (for versions older than oldstable).
  * korganizer: recommend kdepim-kresources instead of just suggesting
    it. (Closes: #760472)
  * New upstream release (4.14.1).
  * kmail: Update install file.
  * Build tests on the testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Sep 2014 11:40:58 +0200

kdepim (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add debian/korganizer.links to link to autostart file from xdg
    directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Sep 2014 16:19:22 +0200

kdepim (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:46:46 +0200



=== debian/control ===
Source: kdepim4
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev (>= 4:4.14.2),
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.0~),
               kdepimlibs5-dev (>= 4:4.14.8~),
               libakonadi-dev (>= 1.12.90),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee-dev (>= 0.4.0~),
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libqca2-dev (>= 2.0.0),
               libqjson-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/applications/kdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git -b 4.14

Package: knode
Section: news
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpgp4 (<< 4:4.10.2), kdepim-doc (<< 4:4.14.10-7~)
Replaces: libkpgp4 (<< 4:4.10.2), kdepim-doc (<< 4:4.14.10-7~)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:4.14.10-7~)
Replaces: kdepim-doc (<< 4:4.14.10-7~)
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.
 .
 This package is part of the KDE PIM module.

Package: libcalendarsupport4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar support library
 This library defines calendar related model objects for KDE PIM module
 applications and provides a common interface for accessing and managing
 calendars provided by Akonadi resources.
 .
 This package is part of the KDE PIM module.

Package: libincidenceeditorsng4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: incidence editors library
 This library implements GUI components for incidence (including but not
 limited to alarms, attendances, free-busy etc.) editing. These GUI components
 are widely used in various KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libpimcommon4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for common bits of KDEPIM
 This internal library is for sharing some common bits between
 the applications in KDEPIM

Package: libkdepim4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:4.13.90)
Replaces: kaddressbook (<< 4:4.13.90)
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.

Package: libkdepimdbusinterfaces4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkdgantt2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gantt chart library
 This library implements Gantt chart drawing functionality. It allows one to
 easily embed the Gantt charts into the application as long as it is capable
 of drawing QWidget or QGraphicsView objects.
 .
 This package is part of the KDE PIM module.

Package: libkleo4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: certificate based crypto library
 This package contains libkleo, a library for Kleopatra and other parts
 of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpgp4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: gpg based crypto library
 This package contains libkpgp4, a gnupg-library for KMail and other parts of
 kdepim using gpg-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libmessagecomposer4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libmessagecore4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libmessageviewer4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libsendlater4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: send later library
 This package contains the send later library which helps implementing the
 "Send Later" function.
 .
 This package is part of the KDE PIM module.

Package: libtemplateparser4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

KDEPIM_RUNTIME_VERSION = 4:4.10.2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	$(overridden_command) -- -DKDEPIM_BUILD_MOBILE=false \
	    -DBUILD_console=false \
	    -DBUILD_akonadiconsole=false \
	    -DBUILD_akregator=false \
	    -DBUILD_blogilo=false \
	    -DBUILD_grantleeeditor=false \
	    -DBUILD_importwizard=false \
	    -DBUILD_kaddressbook=false \
	    -DBUILD_kalarm=false \
	    -DBUILD_kjots=false \
	    -DBUILD_kleopatra=false \
	    -DBUILD_kmail=false \
	    -DBUILD_kmailcvt=false \
	    -DBUILD_knotes=false \
	    -DBUILD_kontact=false \
	    -DBUILD_korgac=false \
	    -DBUILD_korganizer=false \
	    -DBUILD_ksendemail=false \
	    -DBUILD_ktnef=false \
	    -DBUILD_mboximporter=false \
	    -DBUILD_pimsettingexporter=false \
	    -DBUILD_sieveeditor=false \
	    -DBUILD_storageservicemanager=false \
	    -DKDE4_BUILD_TESTS=false

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepim-dbg (<= 4:15.12.1-1~~)'

override_dh_shlibdeps:
	$(overridden_command)
	set -e; \
	if [ -n "`ls debian/*.substvars 2>/dev/null`" ]; then \
	    echo "Tightening dependency on kdepim-runtime to (>= $(KDEPIM_RUNTIME_VERSION)"; \
	    sed -i '/^shlibs:[^=]\+=/{ s/\(^shlibs:[^=]\+=[[:space:]]*\|,[[:space:]]*\)\(kdepim-runtime\)\([[:space:]]*([[:space:]]*[><=]\+[^)]\+)\)\?/\1\2 (>= $(KDEPIM_RUNTIME_VERSION))/g }' debian/*.substvars; \
    fi

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdepim-([\d.]+).tar.xz
